"use strict";
const common_vendor = require("./common/vendor.js");
const API_api = require("./API/api.js");
const _sfc_main = {
  __name: "Shopdetails",
  setup(__props) {
    const businessData = common_vendor.ref(null);
    const message = async () => {
      try {
        const res = await common_vendor.index.request({
          url: API_api.apiImageUrl + "/api/business/getById",
          method: "GET",
          data: {
            id: "1807609961254006785"
          }
        });
        if (res.statusCode === 200) {
          businessData.value = res.data.data;
        } else {
          console.error("Failed to fetch business details with status code:", res.statusCode);
        }
      } catch (error) {
        console.error("An error occurred while fetching business details:", error);
      }
    };
    common_vendor.onMounted(() => {
      message();
    });
    return (_ctx, _cache) => {
      return {};
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "D:/111111000000/uniapp04/pages/merchant/Shopdetails.vue"]]);
exports.MiniProgramPage = MiniProgramPage;
